-- #102
CREATE TABLE attributeset (
    attributesetid       integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   externalattributesetid integer      NOT NULL
,   ebaysiteid           integer      NOT NULL
,   attributesetversion  integer      NOT NULL
,   name                 text         NOT NULL
,   constraint fk_attributeset_ebaysite         foreign key (ebaysiteid)
        references ebaysite                         (ebaysiteid)
)
GO
CREATE UNIQUE INDEX u_externalattributesetid_siteid ON attributeset (externalattributesetid, ebaysiteid, attributesetversion)
GO
