-- #103
CREATE TABLE ebaycategory (
    ebaycategoryid       integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   externalcategoryid   numeric      NOT NULL
,   parentcategoryid     integer      NULL
,   ebaysiteid           integer      NOT NULL
,   name                 text         NOT NULL
,   categorylevel        integer      NOT NULL
,   isexpired            integer      NOT NULL
,   isvirtual            integer      NOT NULL
,   isleaf               integer      NOT NULL
,   attributesetid       integer      NULL
,   usesiteconditionattributesetid integer      NOT NULL
,   usesitereturnpolicyattributesetid integer      NOT NULL
,   constraint fk_ebaycategory_ebaycategory     foreign key (parentcategoryid)
        references ebaycategory                     (ebaycategoryid)
,   constraint fk_ebaycategory_ebaysite         foreign key (ebaysiteid)
        references ebaysite                         (ebaysiteid)
,   constraint fk_ebaycategory_attributeset     foreign key (attributesetid)
        references attributeset                     (attributesetid)
)
GO
CREATE UNIQUE INDEX u_ebaycategory_environment ON ebaycategory (ebaysiteid, externalcategoryid)
GO
CREATE INDEX i_ebaycategory_parent ON ebaycategory (parentcategoryid)
GO
