-- #105
CREATE TABLE ebayauctionshippingmethod (
     ebayauctionshippingmethod integer  not null
,    ebayauctionid integer  not null
,    ebayshippingmethodid integer  not null
,    price decimal(19,4)  null
,    additionalprice decimal(19,4)  null

,   constraint pk_ebayauctionshippingmethod primary key (ebayauctionshippingmethod)
,   constraint fk_ebayauctionshippingmethod_ebayshippingmethodid foreign key (ebayshippingmethodid)
        references ebayshippingmethod (ebayshippingmethodid)
,   constraint fk_ebayauctionshippingmethod_ebayauctionid foreign key (ebayauctionid)
        references ebayauction (auctionid)
,   constraint fk_ebayauctionshippingmethod_ebayauctionshippingmethod foreign key (ebayauctionshippingmethod)
        references object (objectid)
)
GO
CREATE INDEX i_auctionshipmeth_auction ON ebayauctionshippingmethod (ebayauctionid)
GO
CREATE INDEX i_auctionshipmeth_shipmeth ON ebayauctionshippingmethod (ebayshippingmethodid)
GO
