-- #103
CREATE TABLE ebaycall (
     ebaycallid integer  not null AUTO_INCREMENT
,    ebaycalltypeid integer  not null
,    ebayenvironmentid integer  null
,    shopid integer  null
,    date datetime  not null

,   constraint pk_ebaycall primary key (ebaycallid)
,   constraint fk_ebaycall_ebaycalltypeid foreign key (ebaycalltypeid)
        references ebaycalltype (ebaycalltypeid)
,   constraint fk_ebaycall_ebayenvironmentid foreign key (ebayenvironmentid)
        references ebayenvironment (ebayenvironmentid)
,   constraint fk_ebaycall_shopid foreign key (shopid)
        references shop (shopid)
)
GO
CREATE INDEX i_ebaycall_ebayenv ON ebaycall (ebayenvironmentid)
GO
CREATE INDEX i_ebaycall_type ON ebaycall (ebaycalltypeid)
GO
CREATE INDEX i_ebaycall_shop ON ebaycall (shopid)
GO
