-- #103
CREATE TABLE ebayshippingmethod (
     ebayshippingmethodid integer  not null
,    ebayenvironmentid integer  not null
,    name varchar(255)  null
,    isinternationalservice bool  not null
,    isexpeditedservice bool  not null

,   constraint pk_ebayshippingmethod primary key (ebayshippingmethodid)
,   constraint fk_ebayshippingmethod_ebayenvironmentid foreign key (ebayenvironmentid)
        references ebayenvironment (ebayenvironmentid)
,   constraint fk_ebayshippingmethod_ebayshippingmethodid foreign key (ebayshippingmethodid)
        references object (objectid)
)
GO
CREATE INDEX i_ebayshipmeth_env ON ebayshippingmethod (ebayenvironmentid)
GO
