-- #103
CREATE TABLE ebayusertemplate (
     ebayusertemplateid integer  not null
,    shopid integer  null
,    name varchar(255)  null
,    content longtext  null
,    ebaytemplateid integer  null

,   constraint pk_ebayusertemplate primary key (ebayusertemplateid)
,   constraint fk_ebayusertemplate_ebayusertemplateid foreign key (ebayusertemplateid)
        references object (objectid)
,   constraint fk_ebayusertemplate_shopid foreign key (shopid)
        references shop (shopid)
,   constraint fk_ebayusertemplate_ebaytemplateid foreign key (ebaytemplateid)
        references ebaytemplate (ebaytemplateid)
)
GO
CREATE INDEX i_ebayusertempl_shop ON ebayusertemplate (shopid)
GO
CREATE INDEX i_ebayusertemplate_ebaytemp ON ebayusertemplate (ebaytemplateid)
GO
