-- #101
CREATE TABLE language (
    languageid           int           not null
,   isused               bit           not null
,   code2                char(2)       null
,   code3                char(3)       not null
,   english              nvarchar(255)  null
,   french               nvarchar(255)  null
,   native               nvarchar(255)  null
,   defaultlocaleid      nvarchar(5)   null
,   isforbackoffice      bit           not null
,   dialect              char(2)       null

,   constraint pk_language                      primary key (languageid)
)
GO
CREATE INDEX i_iso639_1 ON language (code2)
GO
CREATE INDEX i_iso639_2 ON language (code3)
GO
