-- #104
CREATE TABLE formfield (
    fieldid              int           not null
,   formid               int           not null
,   loopid               int           null
,   name                 varchar(255)  not null
,   type                 varchar(30)   not null
,   mandatory            tinyint       not null
,   minval               int           null
,   maxval               int           null

,   constraint pk_formfield                     primary key (fieldid)
,   constraint fk_formfield_formid              foreign key (formid)
        references form                             (formid)
,   constraint fk_formfield_loopid              foreign key (loopid)
        references formloop                         (loopid)
)
GO
CREATE UNIQUE INDEX u_form_field_form ON formfield (formid, name)
GO
CREATE INDEX i_formfield_loop ON formfield (loopid)
GO
