-- #103
CREATE TABLE formloop (
    loopid               int           not null
,   formid               int           not null
,   name                 varchar(255)  not null
,   mincount             int           not null

,   constraint pk_formloop                      primary key (loopid)
,   constraint fk_formloop_formid               foreign key (formid)
        references form                             (formid)
)
GO
CREATE UNIQUE INDEX u_formloop_form ON formloop (formid, name)
GO
