-- #502
CREATE TABLE pagetype (
    pagetypeid           int           not null
,   pagetypeclassid      int           not null
,   basepagetypeid       int           null
,   viewactionid         int           null

,   constraint pk_pagetype                      primary key (pagetypeid)
,   constraint fk_pagetype_basepagetypeid       foreign key (basepagetypeid)
        references pagetype                         (pagetypeid)
,   constraint fk_pagetype_pagetypeclassid      foreign key (pagetypeclassid)
        references class                            (classid)
,   constraint fk_pagetype_viewactionid         foreign key (viewactionid)
        references viewaction                       (viewactionid)
,   constraint fk_pagetype_pagetypeid           foreign key (pagetypeid)
        references object                           (objectid)
)
GO
CREATE INDEX i_pagetype_base ON pagetype (basepagetypeid)
GO
CREATE INDEX i_pagetype_class ON pagetype (pagetypeclassid)
GO
CREATE INDEX i_pagetype_viewaction ON pagetype (viewactionid)
GO
