-- #603
CREATE TABLE pagetypehelptopic (
    pagetypeid           int           not null
,   helptopicid          int           not null
,   position             int           not null

,   constraint pk_pagetypehelptopic             primary key (pagetypeid,helptopicid)
,   constraint fk_pagetypehelptopic_pagetypeid  foreign key (pagetypeid)
        references pagetype                         (pagetypeid)
,   constraint fk_pagetypehelptopic_helptopicid foreign key (helptopicid)
        references helptopic                        (helptopicid)
)
GO
CREATE INDEX i_helptopicid ON pagetypehelptopic (helptopicid)
GO
