-- #602
CREATE TABLE userhelpdisabled (
    userid               int           not null
,   pagetypeid           int           not null

,   constraint pk_userhelpdisabled              primary key (userid,pagetypeid)
,   constraint fk_userhelpdisabled_pagetypeid   foreign key (pagetypeid)
        references pagetype                         (pagetypeid)
,   constraint fk_userhelpdisabled_userid       foreign key (userid)
        references users                            (userid)
)
GO
CREATE INDEX i_pagetypeid ON userhelpdisabled (pagetypeid)
GO
