-- #402
CREATE TABLE eventhistory (
     eventhistoryid       integer  not null AUTO_INCREMENT
,    objectid             integer  null
,    intsessionid         integer  not null
,    name                 varchar(255)  not null
,    uri                  varchar(500)  not null

,   constraint pk_eventhistory                  primary key (eventhistoryid)
,   constraint fk_eventhistory_intsessionid     foreign key (intsessionid)
        references session                          (intsessionid)
)
GO
CREATE INDEX i_eventhistory_session ON eventhistory (intsessionid)
GO
CREATE INDEX i_eventhistory_object ON eventhistory (objectid)
GO
