-- #505
CREATE TABLE templatemap (
     templatemapid        integer  not null AUTO_INCREMENT
,    objectid             integer  not null
,    templateid           integer  not null
,    templatetypeid       integer  not null

,   constraint pk_templatemap                   primary key (templatemapid)
,   constraint fk_templatemap_templateid        foreign key (templateid)
        references template                         (templateid)
,   constraint fk_templatemap_templatetypeid    foreign key (templatetypeid)
        references templatetype                     (templatetypeid)
,   constraint fk_templatemap_objectid          foreign key (objectid)
        references object                           (objectid)
)
GO
CREATE UNIQUE INDEX u_templatemap ON templatemap (objectid, templateid)
GO
CREATE INDEX i_templatemap_template ON templatemap (templateid)
GO
CREATE INDEX i_templatemap_templatetype ON templatemap (templatetypeid)
GO
