-- #503
CREATE TABLE trayelement (
     traygroupid          integer  not null
,    objectid             integer  not null

,   constraint pk_trayelement                   primary key (traygroupid,objectid)
,   constraint fk_trayelement_traygroupid       foreign key (traygroupid)
        references traygroup                        (traygroupid)
,   constraint fk_trayelement_objectid          foreign key (objectid)
        references object                           (objectid)
)
GO
CREATE INDEX i_trayelement_object ON trayelement (objectid)
GO
