IF OBJECT_ID('n_Template') IS NOT NULL
    DROP PROCEDURE n_Template
GO
CREATE PROCEDURE n_Template AS BEGIN
    declare @TemplateID int
    declare @RowCounter int

    while (@TemplateID IS NULL) begin
        update template_nextid set id = id + 1, @TemplateID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert template_nextid (id) values (1)
            select @TemplateID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete template_nextid
            insert template_nextid (id) values (1)
            select @TemplateID = 1
        end
        if exists ( select templateid from template where templateid = @TemplateID)
            select @TemplateID = null
    end

    SELECT @TemplateID
    RETURN 0
END
GO
