-- #504
CREATE TABLE templatetypefolder (
    templatetypefolderid int           not null
,   templateid           int           not null

,   constraint pk_templatetypefolder            primary key (templatetypefolderid)
,   constraint fk_templatetypefolder_templateid foreign key (templateid)
        references template                         (templateid)
,   constraint fk_templatetypefolder_templatetypefolderid foreign key (templatetypefolderid)
        references object                           (objectid)
)
GO
CREATE INDEX i_templatetypefolder_template ON templatetypefolder (templateid)
GO
