-- #102
CREATE TABLE amazonfeed (
     amazonfeedid         integer  not null
,    portalconfigid       integer  null
,    feedtypeid           tinyint  not null
,    amazonreportnumber   varchar(32)  null
,    listingtimestamp     datetime  null
,    processingstatus     tinyint  not null

,   constraint pk_amazonfeed                    primary key (amazonfeedid)
,   constraint fk_amazonfeed_portalconfig       foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
,   constraint fk_amazonfeed_object             foreign key (amazonfeedid)
        references object                           (objectid)
)
GO
CREATE INDEX i_portalconfigidprocessingstat ON amazonfeed (portalconfigid, processingstatus)
GO
