-- #103
CREATE TABLE attribute (
    attributeid          integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   attributesetid       integer      NOT NULL
,   externalattributeid  integer      NOT NULL
,   parentid             integer      NULL
,   type                 integer      NULL
,   edittype             integer      NULL
,   label                text         NULL
,   labelvisible         integer      NOT NULL
,   message              text         NULL
,   isrequired           integer      NOT NULL
,   candisplayother      integer      NOT NULL
,   widgettype           text         NULL
,   inputtype            text         NULL
,   inputcolumns         integer      NULL
,   inputsize            integer      NULL
,   inputdisplaysize     integer      NULL
,   inputmaxlength       integer      NULL
,   defaultunitofmeasureformatstring text         NULL
,   constraint fk_attribute_attributeset        foreign key (attributesetid)
        references attributeset                     (attributesetid)
,   constraint fk_attribute_attribute           foreign key (parentid)
        references attribute                        (attributeid)
)
GO
CREATE UNIQUE INDEX u_external_attributeid ON attribute (attributesetid, externalattributeid)
GO
