-- #102
CREATE TABLE ebaycategorytemp (
    ebaycategoryid       integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   externalcategoryid   numeric      NOT NULL
,   parentcategoryid     integer      NULL
,   ebaysiteid           integer      NOT NULL
,   name                 text         NOT NULL
,   categorylevel        integer      NOT NULL
,   isexpired            integer      NOT NULL
,   isvirtual            integer      NOT NULL
,   isleaf               integer      NOT NULL
,   attributesetid       integer      NULL
,   usesiteconditionattributesetid integer      NOT NULL
,   usesitereturnpolicyattributesetid integer      NOT NULL
,   constraint fk_ebaycategorytemp_ebaycatego   foreign key (parentcategoryid)
        references ebaycategorytemp                 (ebaycategoryid)
,   constraint fk_ebaycategorytemp_ebaysite     foreign key (ebaysiteid)
        references ebaysite                         (ebaysiteid)
)
GO
CREATE UNIQUE INDEX u_ebaycategorytemp_environment ON ebaycategorytemp (ebaysiteid, externalcategoryid)
GO
CREATE INDEX i_ebaycategorytemp_parent ON ebaycategorytemp (parentcategoryid)
GO
