-- #105
CREATE TABLE ebayauctionpaymentmethod (
     ebayauctionpaymentmethodid integer  not null
,    ebayauctionid integer  not null
,    ebaypaymentmethodid integer  not null
,    codcost decimal(19,4)  null

,   constraint pk_ebayauctionpaymentmethod primary key (ebayauctionpaymentmethodid)
,   constraint fk_ebayauctionpaymentmethod_ebayauctionpaymentmethodid foreign key (ebayauctionpaymentmethodid)
        references object (objectid)
,   constraint fk_ebayauctionpaymentmethod_ebayauctionid foreign key (ebayauctionid)
        references ebayauction (auctionid)
,   constraint fk_ebayauctionpaymentmethod_ebaypaymentmethodid foreign key (ebaypaymentmethodid)
        references ebaypaymentmethod (ebaypaymentmethodid)
)
GO
CREATE INDEX i_ebayauctionpm_ebayauction ON ebayauctionpaymentmethod (ebayauctionid)
GO
CREATE INDEX i_ebayauctionpm_ebaypm ON ebayauctionpaymentmethod (ebaypaymentmethodid)
GO
