-- #105
CREATE TABLE ebayauctionshippinglocation (
     ebayauctionshippinglocationid integer  not null
,    ebayauctionid integer  null
,    ebayshippinglocationid integer  null
,    ebayshippingmethodid integer  null
,    price decimal(19,4)  null
,    additionalprice decimal(19,4)  null

,   constraint pk_ebayauctionshippinglocation primary key (ebayauctionshippinglocationid)
,   constraint fk_ebayauctionshippinglocation_ebayauctionshippinglocationid foreign key (ebayauctionshippinglocationid)
        references object (objectid)
,   constraint fk_ebayauctionshippinglocation_ebayauctionid foreign key (ebayauctionid)
        references ebayauction (auctionid)
,   constraint fk_ebayauctionshippinglocation_ebayshippinglocationid foreign key (ebayshippinglocationid)
        references ebayshippinglocation (ebayshippinglocationid)
,   constraint fk_ebayauctionshippinglocation_ebayshippingmethodid foreign key (ebayshippingmethodid)
        references ebayshippingmethod (ebayshippingmethodid)
)
GO
CREATE INDEX w_ebayauctionshiploc_loc ON ebayauctionshippinglocation (ebayshippinglocationid)
GO
CREATE INDEX w_ebayauctionshiploc_meth ON ebayauctionshippinglocation (ebayshippingmethodid)
GO
CREATE INDEX u_ebayauctionshiploc ON ebayauctionshippinglocation (ebayauctionid, ebayshippingmethodid, ebayshippinglocationid)
GO
