-- #103
CREATE TABLE ebaypaymentmethod (
     ebaypaymentmethodid integer  not null
,    ebayenvironmentid integer  null
,    name varchar(255)  null

,   constraint pk_ebaypaymentmethod primary key (ebaypaymentmethodid)
,   constraint fk_ebaypaymentmethod_ebaypaymentmethodid foreign key (ebaypaymentmethodid)
        references object (objectid)
,   constraint fk_ebaypaymentmethod_ebayenvironmentid foreign key (ebayenvironmentid)
        references ebayenvironment (ebayenvironmentid)
)
GO
CREATE INDEX i_ebaypm_ebayenv ON ebaypaymentmethod (ebayenvironmentid)
GO
