-- #402
CREATE TABLE localizedstringattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    languageid           integer  not null
,    value                longtext  not null

,   constraint pk_localizedstringattribute      primary key (objectid,attributeid,languageid)
,   constraint fk_localizedstringattribute_ob   foreign key (objectid)
        references object                           (objectid)
,   constraint fk_localizedstringattribute_at   foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_localizedstringattribute_la   foreign key (languageid)
        references language                         (languageid)
)
GO
CREATE INDEX i_localizedstringattribute_aid ON localizedstringattribute (attributeid)
GO
