-- #302
CREATE TABLE stringattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                longtext  not null

,   constraint pk_stringattribute               primary key (objectid,attributeid)
,   constraint fk_stringattribute_object        foreign key (objectid)
        references object                           (objectid)
,   constraint fk_stringattribute_attribute     foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_stringattribute_aid ON stringattribute (attributeid)
GO
