-- #202
DROP TABLE IF EXISTS orderprocess
GO
CREATE TABLE orderprocess (
     orderprocessid       integer  not null
,    viewactionid         integer  not null
,    templatename         varchar(255)  not null

,   constraint pk_orderprocess                  primary key (orderprocessid)
,   constraint fk_orderprocess_viewaction       foreign key (viewactionid)
        references viewaction                       (viewactionid)
,   constraint fk_orderprocess_object           foreign key (orderprocessid)
        references object                           (objectid)
)
GO
CREATE INDEX i_orderprocess_orderprocessid ON orderprocess (orderprocessid)
GO
