IF OBJECT_ID('n_TemplateMap') IS NOT NULL
    DROP PROCEDURE n_TemplateMap
GO
CREATE PROCEDURE n_TemplateMap AS BEGIN
    declare @TemplateMapID int
    declare @RowCounter int

    while (@TemplateMapID IS NULL) begin
        update templatemap_nextid set id = id + 1, @TemplateMapID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert templatemap_nextid (id) values (1)
            select @TemplateMapID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete templatemap_nextid
            insert templatemap_nextid (id) values (1)
            select @TemplateMapID = 1
        end
        if exists ( select templatemapid from templatemap where templatemapid = @TemplateMapID)
            select @TemplateMapID = null
    end

    SELECT @TemplateMapID
    RETURN 0
END
GO
