-- #402
CREATE TABLE eventfavorite (
    eventfavoriteid      int           not null
,   objectid             int           null
,   userid               int           not null
,   name                 nvarchar(255)  not null
,   uri                  varchar(500)  not null

,   constraint pk_eventfavorite                 primary key (eventfavoriteid)
,   constraint fk_eventfavorite_userid          foreign key (userid)
        references users                            (userid)
,   constraint fk_eventfavorite_objectid        foreign key (objectid)
        references object                           (objectid)
)
GO
CREATE INDEX i_eventfavorite_user ON eventfavorite (userid)
GO
CREATE INDEX i_eventfavorite_object ON eventfavorite (objectid)
GO
