-- #402
CREATE TABLE eventhistory (
    eventhistoryid       int           not null
,   objectid             int           null
,   intsessionid         int           not null
,   name                 nvarchar(255)  not null
,   uri                  varchar(500)  not null

,   constraint pk_eventhistory                  primary key (eventhistoryid)
,   constraint fk_eventhistory_intsessionid     foreign key (intsessionid)
        references session                          (intsessionid)
) LOCK DATAROWS
GO
CREATE INDEX i_eventhistory_session ON eventhistory (intsessionid)
GO
CREATE INDEX i_eventhistory_object ON eventhistory (objectid)
GO
