-- #504
CREATE TABLE templatetype (
    templatetypeid       int           not null
,   cartridgeid          int           not null
,   filename             varchar(255)  not null
,   previewimage         varchar(255)  null
,   iscustomizable       bit           not null
,   templateid           int           not null

,   constraint pk_templatetype                  primary key (templatetypeid)
,   constraint fk_templatetype_cartridgeid      foreign key (cartridgeid)
        references cartridge                        (cartridgeid)
,   constraint fk_templatetype_templateid       foreign key (templateid)
        references template                         (templateid)
,   constraint fk_templatetype_templatetypeid   foreign key (templatetypeid)
        references class                            (classid)
)
GO
CREATE INDEX i_templatetype_cartridge ON templatetype (cartridgeid)
GO
CREATE INDEX i_templatetype_template ON templatetype (templateid)
GO
