-- #502
CREATE TABLE traygroup (
    traygroupid          int           not null
,   intsessionid         int           not null
,   position             int           not null
,   name                 nvarchar(255)  not null
,   countelements        int           not null

,   constraint pk_traygroup                     primary key (traygroupid)
,   constraint fk_traygroup_intsessionid        foreign key (intsessionid)
        references session                          (intsessionid)
)
GO
CREATE INDEX i_traygroup_session ON traygroup (intsessionid)
GO
