-- #104
CREATE TABLE formfield (
     fieldid              integer  not null AUTO_INCREMENT
,    formid               integer  not null
,    loopid               integer  null
,    name                 varchar(255)  not null
,    type                 varchar(30)  not null
,    mandatory            tinyint  not null
,    minval               integer  null
,    maxval               integer  null

,   constraint pk_formfield                     primary key (fieldid)
,   constraint fk_formfield_formid              foreign key (formid)
        references form                             (formid)
,   constraint fk_formfield_loopid              foreign key (loopid)
        references formloop                         (loopid)
)
GO
CREATE UNIQUE INDEX u_form_field_form ON formfield (formid, name)
GO
CREATE INDEX i_formfield_loop ON formfield (loopid)
GO
