-- #103
CREATE TABLE formloop (
     loopid               integer  not null AUTO_INCREMENT
,    formid               integer  not null
,    name                 varchar(255)  not null
,    mincount             integer  not null

,   constraint pk_formloop                      primary key (loopid)
,   constraint fk_formloop_formid               foreign key (formid)
        references form                             (formid)
)
GO
CREATE UNIQUE INDEX u_formloop_form ON formloop (formid, name)
GO
